Bug 2057558 - Marketplace operator polls too frequently for cluster operator status changes
Summary: Marketplace operator polls too frequently for cluster operator status changes
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.11.0
Assignee: Per da Silva
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-23 15:33 UTC by Anik
Modified: 2022-06-15 17:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 461 0 None open Bug 2057558: increase polling time of status report to reduce log spam 2022-02-28 21:23:55 UTC

Description Anik 2022-02-23 15:33:20 UTC
Description of problem:

The marketplace operator polls the cluster operator to change it's status every 20s. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

High polling interval leads to log/api server spamming. 

Expected results:

1. Increase the polling interval 
2. Consider changing the log level to Debug instead of Info. 

Additional info:

https://github.com/operator-framework/operator-marketplace/blob/master/pkg/status/status.go#L26

Comment 1 Jian Zhang 2022-03-03 09:00:58 UTC
1, Create a cluster with the fixed PR via cluster-bot
mac:~ jianzhang$ oc get clusterversion
NAME      VERSION                                                   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.10.0-0.ci.test-2022-03-03-081213-ci-ln-t4bvn5b-latest   True        False         100s    Cluster version is 4.10.0-0.ci.test-2022-03-03-081213-ci-ln-t4bvn5b-latest

2, Check the marketplace operator logs.
mac:~ jianzhang$ oc project openshift-marketplace
Now using project "openshift-marketplace" on server "https://api.ci-ln-t4bvn5b-76ef8.origin-ci-int-aws.dev.rhcloud.com:6443".
mac:~ jianzhang$ oc get pods
NAME                                    READY   STATUS    RESTARTS      AGE
certified-operators-fpdn5               1/1     Running   0             26m
community-operators-ht48k               1/1     Running   0             26m
marketplace-operator-7d76d4ff95-8frk5   1/1     Running   1 (19m ago)   29m
redhat-marketplace-rp6qn                1/1     Running   0             26m
redhat-operators-pfcnd                  1/1     Running   0             26m
mac:~ jianzhang$ oc logs marketplace-operator-7d76d4ff95-8frk5
time="2022-03-03T08:35:57Z" level=info msg="Go Version: go1.17.5"
time="2022-03-03T08:35:57Z" level=info msg="Go OS/Arch: linux/amd64"
time="2022-03-03T08:35:57Z" level=info msg="[metrics] Registering marketplace metrics"
...
...
time="2022-03-03T08:52:33Z" level=info msg="[status] Previous and current ClusterOperator Status are the same, the ClusterOperator Status will not be updated."
time="2022-03-03T08:53:33Z" level=info msg="[status] Previous and current ClusterOperator Status are the same, the ClusterOperator Status will not be updated."
time="2022-03-03T08:54:33Z" level=info msg="[status] Previous and current ClusterOperator Status are the same, the ClusterOperator Status will not be updated."

The status upgrading interval has been changed to 60s. LGTM, verify it.


Note You need to log in before you can comment on or make changes to this bug.